Discounts
Create a Discount
Create a new discount code for a store identified by x-store-id. Requires details such as name, code, discount_type, and discount_amount. Checks for code uniqueness within the store. Returns the created discount detail.
POST
/
v1
/
discounts
Create a Discount
curl --request POST \
--url https://api.blink.store/v1/v1/discounts \
--header 'Content-Type: application/json' \
--header 'x-store-id: <api-key>' \
--data '
{
"name": "<string>",
"code": "<string>",
"discount_amount": 123,
"status": "<string>",
"max_redemptions": 123,
"product_ids": [
"<string>"
],
"starts_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.blink.store/v1/v1/discounts"
payload = {
"name": "<string>",
"code": "<string>",
"discount_amount": 123,
"status": "<string>",
"max_redemptions": 123,
"product_ids": ["<string>"],
"starts_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"x-store-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-store-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
discount_amount: 123,
status: '<string>',
max_redemptions: 123,
product_ids: ['<string>'],
starts_at: '2023-11-07T05:31:56Z',
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.blink.store/v1/v1/discounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"code": "<string>",
"discount_type": "<string>",
"discount_amount": 123,
"status": "<string>",
"max_redemptions": 123,
"starts_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"product_ids": [
"<string>"
]
}Authorizations
Body
application/json
Previous
Broadcast EmailSend a broadcast email to a segment of customers identified by their store tag, or to all customers. Requires `subject` and `html` in the request body. Verifies the store using `x-store-id` and checks customer availability before sending emails.
Next
⌘I
Create a Discount
